package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.ResourceCatelog;
import com.lightinit.hsdataplatform.entity.TagWithBLOBs;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.MainNameAndValue;
import com.lightinit.hsdataplatform.model.admin.TagEditModel;
import com.lightinit.hsdataplatform.model.admin.TreeModel;

import java.util.List;

public interface ITagSerice {
    List<TreeModel> tagTreeData(Long selectedId);

    List<TagWithBLOBs> getAllTag();

    ResultState<TagWithBLOBs> addOrEdit(TagEditModel inputModel);

    List<MainNameAndValue> getMains();

    ResultState delete(long id);
}
